> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Webhook

> Updates a specified [webhook](https://docs.seam.co/developer-tools/webhooks).



## OpenAPI

````yaml /openapi.json post /webhooks/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /webhooks/update:
    post:
      tags:
        - /webhooks
      summary: Update a Webhook
      description: >-
        Updates a specified
        [webhook](https://docs.seam.co/developer-tools/webhooks).
      operationId: webhooksUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                event_types:
                  description: Types of events that you want the webhook to receive.
                  items:
                    type: string
                  type: array
                webhook_id:
                  description: ID of the webhook that you want to update.
                  type: string
              required:
                - webhook_id
                - event_types
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.webhooks.update({
              webhook_id: "e294905f-e7a5-4804-95a6-303f440eb262",
              event_types: [
                "device.connected",
                "device.disconnected",
                "device.unmanaged.converted_to_managed",
              ],
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/webhooks/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "webhook_id": "e294905f-e7a5-4804-95a6-303f440eb262",
              "event_types": [
                "device.connected",
                "device.disconnected",
                "device.unmanaged.converted_to_managed"
              ]
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.webhooks.update(
                webhook_id="e294905f-e7a5-4804-95a6-303f440eb262",
                event_types=[
                    "device.connected",
                    "device.disconnected",
                    "device.unmanaged.converted_to_managed",
                ],
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.webhooks.update(
              webhook_id: "e294905f-e7a5-4804-95a6-303f440eb262",
              event_types: %w[device.connected device.disconnected device.unmanaged.converted_to_managed],
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->webhooks->update(
                webhook_id: "e294905f-e7a5-4804-95a6-303f440eb262",
                event_types: [
                    "device.connected",
                    "device.disconnected",
                    "device.unmanaged.converted_to_managed",
                ],
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam webhooks update --webhook_id
            "e294905f-e7a5-4804-95a6-303f440eb262" --event_types
            ["device.connected","device.disconnected","device.unmanaged.converted_to_managed"]


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````